apiVersion: apps/v1
kind: Deployment
metadata:
  name: guildion-api
  labels:
    app: guildion-api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: guildion-api
  template:
    metadata:
      name: guildion-api
      labels:
        app: guildion-api
      annotations:
        commit_sha: $CI_COMMIT_SHA
    spec:
      nodeSelector:
        spot: "true"
      containers:
        - name: api
          image: guildion-api
          imagePullPolicy: "Always"
          ports:
            - containerPort: 7001
          readinessProbe:
            httpGet:
              path: /health
              port: 7001
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 3
            failureThreshold: 3
          livenessProbe:
            httpGet:
              path: /health
              port: 7001
            periodSeconds: 10
            initialDelaySeconds: 60
          envFrom:
            - configMapRef:
                name: database-config
            - secretRef:
                name: database-secrets
            - configMapRef:
                name: guildion-api
            - secretRef:
                name: guildion-api

